[@bigcommerce/checkout-sdk](../README.md) / ConsignmentCreateRequestBody

# Interface: ConsignmentCreateRequestBody

## Table of contents

### Properties

- [address](ConsignmentCreateRequestBody.md#address)
- [lineItems](ConsignmentCreateRequestBody.md#lineitems)
- [pickupOption](ConsignmentCreateRequestBody.md#pickupoption)
- [shippingAddress](ConsignmentCreateRequestBody.md#shippingaddress)

## Properties

### address

• `Optional` **address**: [`AddressRequestBody`](AddressRequestBody.md)

___

### lineItems

• **lineItems**: [`ConsignmentLineItem`](ConsignmentLineItem.md)[]

___

### pickupOption

• `Optional` **pickupOption**: [`ConsignmentPickupOption`](ConsignmentPickupOption.md)

___

### shippingAddress

• `Optional` **shippingAddress**: [`AddressRequestBody`](AddressRequestBody.md)
